# Uses of Enum Class
org.eclipse.net4j.db.ddl.IDBSchemaElement.SchemaElementType

Packages that use IDBSchemaElement.SchemaElementType
Package
Description
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.

## Uses of IDBSchemaElement.SchemaElementType in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBSchemaElement.SchemaElementType
Modifier and Type
Method
Description
`IDBSchemaElement.SchemaElementType`
IDBSchemaElement.`getSchemaElementType()`
`IDBSchemaElement.SchemaElementType`
SchemaElementNotFoundException.`getType()`
`static IDBSchemaElement.SchemaElementType`
IDBSchemaElement.SchemaElementType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBSchemaElement.SchemaElementType[]`
IDBSchemaElement.SchemaElementType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.net4j.db.ddl with parameters of type IDBSchemaElement.SchemaElementType
Modifier
Constructor
Description
``
`SchemaElementNotFoundException(IDBSchemaElement parent, IDBSchemaElement.SchemaElementType type, String name)`